Bug 995572 - rhel5 distribution is failing to sync
rhel5 distribution is failing to sync
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
urgent Severity unspecified
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 14:32 EDT by Preethi Thomas
Modified: 2013-09-10 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:43:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-08-09 14:32:37 EDT
Description of problem:
distribution sync seems to be failing for cdn repos


Version-Release number of selected component (if applicable):
[root@cloud-qe-18 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.24.beta.el6.noarch
[root@cloud-qe-18 ~]# 


How reproducible:


Steps to Reproduce:
[root@cloud-qe-18 ~]#  pulp-admin rpm repo create  --repo-id rhel5 --feed https://cdn.redhat.com/content/dist/rhel/rhui/server/5/5.9/x86_64/os/ --feed-ca-cert CDN/cdn.redhat.com-chain.crt --feed-cert CDN/1359391926_4512.crt  --feed-key CDN/1359391926_4512.key
Successfully created repository [rhel5]

[root@cloud-qe-18 ~]# pulp-admin rpm repo sync run --repo-id rhel5
+----------------------------------------------------------------------+
                    Synchronizing Repository [rhel5]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[/]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       15321/15321 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...

Errors encountered during distribution sync:

Importing errata...
[-]
... completed

Importing package groups/categories...
[\]
... completed

Publishing packages...
[==================================================] 100%
Packages: 15321/15321 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTPS
[-]
... completed




Actual results:


Expected results:


Additional info:
Comment 1 Michael Hrivnak 2013-08-09 17:27:14 EDT
https://github.com/pulp/pulp_rpm/pull/302
Comment 2 Jeff Ortel 2013-08-12 10:49:22 EDT
build: 2.2.0-0.25.beta.
Comment 3 Preethi Thomas 2013-08-12 14:40:25 EDT
verified
[root@cloud-qe-18 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.25.beta.el6.noarch
[root@cloud-qe-18 ~]# 

[root@cloud-qe-18 ~]# pulp-admin rpm repo sync run --repo-id rhel5
+----------------------------------------------------------------------+
                    Synchronizing Repository [rhel5]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 19/19 items
... completed

Importing errata...
[/]
... completed

Importing package groups/categories...
[\]
... completed

Publishing packages...
[==================================================] 100%
Packages: 15321/15321 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 19/19 items
... completed

Generating metadata
[-]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@cloud-qe-18 ~]# pulp-admin repo list
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                  rhel5
Display Name:        rhel5
Description:         None
Content Unit Counts: 
  Distribution:           1
  Erratum:                2761
  Package Category:       6
  Package Group:          99
  Rpm:                    15321
  Yum Repo Metadata File: 1


[root@cloud-qe-18 ~]#
Comment 4 Preethi Thomas 2013-09-10 11:43:39 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.